import React, { forwardRef } from 'react';
import { Input, InputProps } from '@chakra-ui/react';

export type DateTimeInputProps = InputProps;

export const DateTimeInput = forwardRef<HTMLInputElement, DateTimeInputProps>(
  function DateTimeInput(props, ref) {
    return <Input ref={ref} {...props} type='datetime-local' />;
  },
);

// todo: apply brand styles to popover